%define __libtoolize    /bin/true

%define use_enable_final 0
%{?_enable_final: %{expand: %%global use_enable_final 1}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define build_java 0
%{?_with_java: %{expand: %%global build_java 1}}

%define jdk_path %{_prefix}/lib/jvm/java
%define java_includes %{_includedir}/libgcj

%define lib_major_kdec	1
%define lib_kdec	%mklibname kdec %{lib_major_kdec}

%define lib_major_kjsembed	1
%define lib_kjsembed	%mklibname kjsembed %{lib_major_kjsembed}

%define lib_major_smoke	1
%define lib_smoke	%mklibname smoke %{lib_major_smoke}

Name: kdebindings
Summary: Kdebindings
Version: 3.5.4
Release: %mkrel 1
Epoch: 1
Group: Graphical desktop/KDE
URL: ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Patch0: kdebindings-3.5.0-qtlib.patch
Patch1: kdebindings-3.5.0-fix_lib64.patch
Patch2: kdebindings-3.4.1-fix-search-qconfigh-multiarch.patch
Patch3: kdebindings-3.5.2-gcc4-bug21304-workaround.patch
License: GPL
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: gettext 
BuildRequires: kdelibs-devel
BuildRequires: bzip2-devel
BuildRequires: gtk+-devel
BuildRequires: python-devel
BuildRequires: perl-devel
BuildRequires: texinfo
BuildRequires: ruby-devel
BuildRequires: openssl-devel
BuildRequires: qscintilla-devel
%if %{build_java}
BuildRequires: java-1.4.2-gcj-compat
BuildRequires: java-1.4.2-gcj-compat-devel
%endif


%description
This package contains
	* dcopjava: DCOP bindings for JAVA
	* dcopperl: DCOP bindings for Perl
	* dcoppython: DCOP bindings for Python (broken)
        * PyKDE: KDE bindings for python
	* kalyptus: C, Objective-C and Java bindings generator
	* kdejava ( optional ): KDE bindings for Java JNI to use Qt/KDE classes with Java
	* qtjava ( optional ): Qt bindings for Java JNI to use Qt/KDE classes with Java
	* qtruby: Qt bindings for Ruby

#------------------------------------------------------------

%define lib_smoke_kde %mklibname smokekde 1

%package -n %{lib_smoke_kde}
Summary: KDE generic bindings library
Group: Development/KDE and Qt
Obsoletes: %{lib_kdec}-devel < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1
Obsoletes: libsmoke1 <= 3.5.1


%description -n %{lib_smoke_kde}
KDE generic bindings library

%post -n %{lib_smoke_kde} -p /sbin/ldconfig
%postun -n %{lib_smoke_kde} -p /sbin/ldconfig

%files -n %{lib_smoke_kde}
%defattr(-,root,root)
%_libdir/libsmokekde.so.*

#------------------------------------------------------------

%define lib_smoke_qt %mklibname smokeqt 1

%package -n %{lib_smoke_qt}
Summary: Qt generic bindings library
Group: Development/KDE and Qt
Obsoletes: %{lib_kdec}-devel < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1
Obsoletes: libsmoke1 <= 3.5.1

%description -n %{lib_smoke_qt}
Qt generic bindings library

%post -n %{lib_smoke_qt} -p /sbin/ldconfig
%postun -n %{lib_smoke_qt} -p /sbin/ldconfig

%files -n %{lib_smoke_qt}
%defattr(-,root,root)
%_libdir/libsmokeqt.so.*

#------------------------------------------------------------

%package -n smoke-devel
Summary: Header files for libsmoke.
Group: Development/KDE and Qt
Requires: %{lib_smoke_qt} = %epoch:%version-%release
Requires: %{lib_smoke_kde} = %epoch:%version-%release
Provides: libsmoke-devel = %epoch:%version-%release
Obsoletes: %{lib_smoke}-devel < 3.5.1
Obsoletes: %{lib_kdec}-devel < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1

%description -n smoke-devel
smoke devel files

%files -n smoke-devel
%defattr(-,root,root)
%_includedir/smoke.h
%_libdir/libsmokekde.la
%_libdir/libsmokekde.so
%_libdir/libsmokeqt.so
%_libdir/libsmokeqt.la

#------------------------------------------------------------

%package -n kjsembed
Summary:	KJS Javascript interpreter.
Group: Development/KDE and Qt
Conflicts:	%{lib_smoke_kde} <= %{epoch}:3.5.0-2mdk

%description -n kjsembed
A library for embedding the KJS Javascript interpreter in application.

%post -n kjsembed
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun -n kjsembed
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif


%files -n kjsembed
%defattr(-,root,root)
%_bindir/kjscmd
%_bindir/jsaccess
#%_bindir/embedjs
%_libdir/kde3/libqprocessplugin.*
%_libdir/kde3/libjsconsoleplugin.*
%_libdir/kde3/libcustomobjectplugin.*
%_libdir/kde3/libcustomqobjectplugin.*
%_libdir/kde3/libimagefxplugin.*
%_libdir/kde3/libfileitemplugin.*
%_libdir/kde3/libjavascript.*
#%_datadir/applnk/Utilities/embedjs.desktop
%_datadir/apps/embedjs/embedjsui.rc
%_datadir/apps/kate/scripts/swaptabs.desktop
%_datadir/apps/kate/scripts/swaptabs.js
%_datadir/apps/kate/scripts/swaptabs.ui
%_datadir/apps/kjsembed/cmdline.js
%_datadir/services/qprocess_plugin.desktop
%_datadir/applications/kde/kjscmd.desktop
%_datadir/services/customobject_plugin.desktop
%_datadir/services/customqobject_plugin.desktop
%_datadir/servicetypes/binding_type.desktop
%_datadir/services/imagefx_plugin.desktop
%_datadir/services/javascript.desktop
%_datadir/services/kfileitem_plugin.desktop
%_datadir/icons/*/*/*/embedjs.png
%_menudir/*
%_mandir/man1/kjscmd.1.bz2

#------------------------------------------------------------

%package -n %lib_kjsembed
Summary:	KJS Javascript interpreter.
Group: Development/KDE and Qt
Conflicts: kjsembed < 3.5.1

%description -n %lib_kjsembed
A library for embedding the KJS Javascript interpreter in application.

%postun -n %lib_kjsembed -p /sbin/ldconfig
%post -n %lib_kjsembed -p /sbin/ldconfig

%files -n %lib_kjsembed
%defattr(-,root,root)
%_libdir/libkjsembed.so.*

#------------------------------------------------------------

%package -n %lib_kjsembed-devel
Summary:	Header files for KJS Javascript interpreter.
Group:		Development/KDE and Qt
Requires: %lib_kjsembed = %epoch:%version-%release
Provides: kjsembed-devel = %epoch:%version-%release
Conflicts: %lib_kjsembed < 1:3.5.1

%description -n %lib_kjsembed-devel
Header files for embedding the KJS Javascript interpreter in application.

%files -n %lib_kjsembed-devel
%defattr(-,root,root)
%dir %_includedir/kjsembed/
%_includedir/kjsembed/*.h
%_libdir/libkjsembed.so
%_libdir/libkjsembed.la

#------------------------------------------------------------

%package -n perl-DCOP
Summary:	perl DCOP bindings
Group: Development/KDE and Qt
Obsoletes: kdec < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1

%description -n perl-DCOP
perl DCOP bindings

%files -n perl-DCOP
%defattr(-,root,root)
%_prefix/local/share/man/man3/DCOP.3pm
%perl_sitearch/*.pm
%perl_sitearch/DCOP/Object.pm
%perl_sitearch/auto/DCOP/*.so

#------------------------------------------------------------

%package -n python-dcop
Summary: python DCOP bindings
Group: Development/KDE and Qt
Obsoletes: kdec < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1

%description -n python-dcop
python DCOP bindings

%files -n python-dcop
%defattr(-,root,root)
%_libdir/python2.4/pydcop.py
%_libdir/python2.4/site-packages/pcop.*

#------------------------------------------------------------

%package -n python-sip
Summary: python sip bindings
Group: Development/KDE and Qt
Provides: sip = %epoch:%version-%release
Obsoletes: sip < 1:3.5.1

%description -n python-sip
python sip bindings

%files -n python-sip
%defattr(-,root,root)
%_bindir/sip
%_libdir/python2.4/site-packages/s*
%py_incdir/sip.h

#------------------------------------------------------------

%package -n python-qt
Summary: python Qt bindings
Group: Development/KDE and Qt
Provides: PyQt = %epoch:%version-%release
Requires: python-sip
Obsoletes: kdec < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1
Obsoletes: smoke < 3.5.1
Obsoletes: PyQt < 1:3.5.1

%description -n python-qt
python Qt bindings

%files -n python-qt
%defattr(-,root,root)
%_bindir/pyuic
%_bindir/pylupdate
%_libdir/python2.4/site-packages/q*
%_libdir/python2.4/site-packages/pyqtconfig.py
%_datadir/sip/q*

#------------------------------------------------------------

%package -n python-kde
Summary: python kde bindings
Group: Development/KDE and Qt
Provides: PyKDE = %epoch:%version-%release
Requires: python-qt = %epoch:%version-%release
Requires: python-dcop = %epoch:%version-%release
Obsoletes: kdec < 3.5.1
Obsoletes: PyKDE < 1:3.5.1
Obsoletes: %{lib_kdec} < 3.5.1
Obsoletes: smoke < 3.5.1

%description -n python-kde
python KDE bindings

%files -n python-kde
%defattr(-,root,root)
%_libdir/python2.4/site-packages/k*
%_libdir/python2.4/site-packages/d*
%_libdir/python2.4/site-packages/pykdeconfig.py
%_datadir/sip/k*
%_datadir/sip/d*

#------------------------------------------------------------

%define lib_ruby	%mklibname qtruby

%package -n qtruby
Summary: Qt bindings for Ruby.
Group:		Development/KDE and Qt
Obsoletes: %{lib_ruby} < 3.5.1
Obsoletes: %{lib_ruby}1 < 3.5.1
Obsoletes: %{lib_ruby}1-devel < 3.5.1

%description -n qtruby
A binding for Ruby language.

%files -n qtruby
%defattr(-,root,root)
%_bindir/krubyinit
%_bindir/qtrubyinit
%_bindir/rbkdeapi
%_bindir/rbkdesh
%_bindir/rbqtapi
%_bindir/rbqtsh
%_bindir/rbuic
%_bindir/rbkconfig_compiler
%{_prefix}/lib/ruby/site_ruby/*/*

#------------------------------------------------------------

%if %build_java

%package -n java-qt
Summary: Qt bindings for Java
Group: Development/KDE and Qt

%description -n java-qt
Qt bindings for java

%files -n java-qt
%defattr(-,root,root)

%package -n java-kde
Summary:	KDE bindings for Java
Group: Development/KDE and Qt

%description -n java-kde
KDE bindings for java

%files -n java-kde
%defattr(-,root,root)

%endif

#------------------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .find_qt
%if "%{_lib}" != "lib"
%patch1 -p1 -b .fix_x86_64_build
%endif
%patch2 -p1 -b .fix_multiarch
%patch3 -p1 -b .gcc4


%build
export QTDIR=%qtdir
export CFLAGS="%optflags -I%{java_includes}" 
export CXXFLAGS="%optflags -I%{java_includes}" 

%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%endif
	--disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--with-pic \
%if %build_java
   --with-java=%jdk_path \
%else
   --without-java \
%endif
   --with-xinerama 

# kdebindings don't likes smp compiling
make

%install
if [ -d %buildroot ]; then rm -r %buildroot; fi

%makeinstall_std

rm -rf %buildroot/%_bindir/embedjs
rm -rf %buildroot/%_datadir/applnk/Utilities/embedjs.desktop

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kjsembed Applications/Development %buildroot/%_datadir/applications/kde/kjscmd.desktop %buildroot/%_menudir/kdebindings-kjscmd
#kdedesktop2mdkmenu.pl kjsembed Applications/Development %buildroot/%_datadir/applnk/Utilities/embedjs.desktop %buildroot/%_menudir/kdebindings-embedjs

%clean
if [ -d %buildroot ]; then rm -r %buildroot; fi




%changelog
* Sat Aug 05 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-05 20:49:37 (53355)
- New package (2006/08/05 3.5.4-1mdv)

* Sun Jul 23 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-23 13:02:53 (41929)
- Remove EmbedJS just test program not necessary into package

* Fri Jul 21 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-21 16:33:06 (41887)
- Increase release

* Fri Jul 21 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-21 16:31:32 (41886)
- Fixed typo that prevents python-qt install. http://qa.mandriva.com/show_bug.cgi?id=23871

* Thu Jul 20 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-20 15:13:06 (41713)
- Disable smp compiling.

* Thu Jul 20 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-20 14:25:16 (41705)
- Fix requires for python-qt
- Fixed configure macro

* Wed Jun 21 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-21 10:59:11 (37712)
- Use macro
  Apply patch from neoclust to generate menu entry

* Wed Jun 14 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-06-14 21:49:01 (37243)
- Updated for main stable upstream version 3.5.3

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-04 20:14:51 (26914)
- Fixed gcc 4 memory compile eater. Thanks to Danny.
- Fixed wrong lib64 detection

* Wed May 03 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-03 09:32:16 (26805)
- Fix upgrade

* Mon Apr 17 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-17 20:03:33 (26520)
- 3.5.2

* Fri Mar 31 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-31 21:34:04 (26244)
- Finally obsoleting external PyQt and sip packages. kdebindings provide up-to-date
  versions.
- Naming match python style now, so now we have python-kde and python-qt and
  python-sip.

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 04:16:45 (1872)
- Fix for bug http://qa.mandriva.com/show_bug.cgi?id=17440

* Sat Mar 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-04 18:37:31 (1862)
- Missing obsoletes

* Fri Mar 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-03 23:12:21 (1856)
- Initial java package preparation. The current position of libgcj need some changes in
  java-compat tools. No effective package is created now.

* Fri Mar 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-03 00:07:58 (1844)
- Both archs use multiarch on config.h

* Thu Mar 02 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-02 23:46:47 (1843)
- x86 need test qtlib as well

* Thu Mar 02 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-02 23:13:37 (1841)
- Bad bad multiproc compilation. kdebindings and cluster don't like distributed comp.

* Thu Mar 02 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-02 22:52:41 (1840)
- Add missing patch

* Thu Mar 02 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-02 22:50:19 (1839)
- Remodel kdebindings package using 3.5.1 release
- Smoke package is obsoleted in favor to move wrong placed sip runtime files to PyKDE new package
- x86_64 installs works
- kdec is finally obsoleted. The wrong files in there is moved to new packages
  perl-DCOP, python-dcop, lib(%%arch)smokeqt and lib(%%arch)smokekde. this solve a
  old nasty problem with dependencies.
- Create the smoke-devel package. perl-Qt bindings will be built correctly now.
- PyKDE package is created and is built against PyQt package and sip
- Removed all libtoolize bad magic and wrong rpath in favour of pristine source.
- TODO: See if any doc is available to bindings.

* Tue Jan 31 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-31 17:55:55 (1516)
- Active debug for cooker only

* Tue Jan 03 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-03 14:16:36 (1360)
- Add patch from trem <trem@zarb.org> to build on x86_64

* Wed Nov 16 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-16 11:17:40 (1165)
- Forgot to commit it

* Wed Nov 16 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-16 11:11:43 (1164)
- 3.5.0
  Remove conflict

* Fri Nov 04 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-04 18:09:11 (1121)
- Fix typo
  * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
- Rebuild with new mysql
  * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
- New immodule patch

* Wed Oct 26 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-10-26 15:45:13 (1072)
- 3.4.92

* Wed Aug 10 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-10 03:02:03 (569)
- Fix compile

* Tue Aug 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-09 06:58:50 (560)
- remove qtc and qtsharp from spec
- buildrequires openssl-devel
  Patch from mpol@mandriva.org

* Thu Aug 04 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-04 02:14:21 (525)
- Add build requires openssl-devel to fix MDV  #17275

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 16:42:57 (45)
- Uploading package ./kdebindings

%changelog
* Wed Apr 20 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix provides

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Fix BuildRequires/Compile on x86_64 (thanks Nicolas Chipaux)

* Sat Apr 16 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-2mdk
- Rebuild 

* Thu Apr 14 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-1mdk
- 3.4.0
- --enable-new-ldflags

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- 3.3.2

* Thu Oct 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Sync with CVS

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Remove last mono buildRequires

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Remove unused BuildRequires

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Remove unused patch

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Disable compile for mono

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix add/remove debug

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Fix remove rpath

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Obsoletes smokeqt

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file to using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Use %%configure
- Use mdkversion

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2 

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix for package freeze

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Fix BuildRequires
- Sync with CVS
- Reverte VFolder menu type to 'menu' menu type

* Fri Jan 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Fix description
- Fix requires
- Add use_enable_final variable

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS


* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- 3.1.94

* Thu Jul 31 2003 Marcel Pol <mpol@gmx.net> 3.1.3-1mdk
- resurrect from the dead into contrib
- removed distro specific options
- buildrequires
- only compile qtc and qtsharp
- don't compile kdec for now, compile breaks since gcc-3-3-1-0.6mdk
- libpolicy/mklibname

* Mon Aug 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2
- Add patch1/patch2 fix qtc compile with qt
- Add patch3 fix gcc-3.2 compile.

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-6mdk
- Enable 8.3 support
- Disable -fomit-frame-pointer on all supported %%ix86 architectures
- Fix BuildRequires for PPC (8.2 and 8.3)

* Fri Feb 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-5mdk
- Rebuild

* Tue Jan 15 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-4mdk
- Fix ./configure on all supported distributions
- 8.2: don't build static libraries
- Fix Group: on all supported distributions

* Fri Dec 07 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-3mdk
- made rpmlint happy

* Mon Dec 03 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Remove objprelink

* Thu Nov 15 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Tue Sep 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-3mdk
- Official updates for Linux-Mandrake 7.2 and 8.0
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink

* Sat Sep 21 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Remove update-menu/clean-menu (there is not menu file in this package)

* Wed Sep 19 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Aug 31 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-3mdk
- Fix build requires

* Fri Aug 24 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-2mdk
- Rebuild with new kdelibs

* Wed Aug 08 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Rewrite %%files sections

* Tue May 23 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
